Change tags for a device​
POST
/devices/changeTags
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Request Body​
application/x-www-form-urlencoded
ids
string
Required
Format
"JSON"tagEdits
string
Required
Format
"JSON"OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags:
- name: device
paths:
/devices/changeTags:
post:
tags:
- devicerequestBody:
content:
application/x-www-form-urlencoded:
schema:
type: object
properties:
ids:
type: string
format: JSON
tagEdits:
type: string
format: JSON
required:
- ids
- tagEdits
required: true responses:'200':
description: Request was successful
content:
application/json:
schema:
type: object
properties:
status:
type: string deprecated: false
security:
- ApiKeyAuth: []
operationId: post-devices-changeTags
summary: Change tags for a device
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...